Check object storage service status

Verify if your object storage service (S3-compatible) is provisioned and active for your account. Use this to confirm if the service is ready for use.

Object Storage Object Storage

Context

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.awsRegion string · Example: eu-north-1
data.bucketCount integer · Example: 4
data.endpoint string · Example: https://s3.hostup.se
data.keyCount integer · Example: 2
data.pricing object
data.pricing.perGBHour integer required · Example: 0
data.provisioned boolean required · Example: false
data.region string · Example: Sweden
data.tenant object
data.tenant.createdAt string required · Example: 2026-02-10T00:00:00.000Z
data.tenant.displayName string required · Example: Client 30000
data.tenant.id string required · Example: client_11112
data.tenant.quotaMaxSizeGB string · Example: 5120
data.tenant.status string · Example: active
data.usage object
data.usage.numObjects integer required · Example: 8
data.usage.sizeBytes integer required · Example: 37154816
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/object-storage
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/object-storage" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "provisioned": false
  }
}